Description

The screenshot is worth a thousand words.

Associated revisions

Revision 30bcb145 - 01/30/2013 08:19 AM - Ohad Levy

fixes #2141 - Trends grahs issue

Revision 0d264ea7 - 02/01/2013 03:12 AM - Robert Birnie

Fixes #2141 - Deletes duplicate TrendCounters

This fixes graphs with spikes, caused by multiple rake trends:counter tasks.

Revision f21afe9d - 02/01/2013 03:12 AM - Ohad Levy

refs #2141 - ensures no duplicate trends are created

History

#1 - 01/17/2013 11:02 AM - Ohad Levy

- Assignee set to Robert Birnie

#2 - 01/17/2013 04:46 PM - Robert Birnie

Can you provide the page's source? There must be something funky in how it is building the array the graph uses.

#3 - 01/18/2013 02:21 AM - Romain Vrignaud

- File trends.source added

See attached

I have that behavior in all my trends.

#4 - 01/30/2013 08:18 AM - Ohad Levy

- Assignee changed from Robert Birnie to Ohad Levy

- Target version set to 1.1

This is a ordering issue (where the JSON is not sorted by time).

I'm attaching a fix, but I'm unable to confirm it works (as I can't reproduce locally).

Please reopen if required.

#5 - 01/30/2013 08:19 AM - Ohad Levy

- Status changed from New to Closed
- % Done changed from 0 to 100

Applied in changeset 30bcb14580c41e8439de1cb8f3773cea77e1ae6b.

#6 - 01/30/2013 02:11 PM - Robert Birnie

- Status changed from Closed to Assigned

- % Done changed from 100 to 50

This doesn't seem to fix it.

http://grab.by/jsVw

#7 - 01/30/2013 02:22 PM - Ohad Levy

hmm.. since i don't have the data set to try and replicate it, can you try playing around with the queries used, from past experience, its usually a non

sorted data set, which confuses highcharts.

#8 - 01/30/2013 02:36 PM - Robert Birnie

Both my page and his has duplicates in the data. I'll go look through my database and see if there are duplicates there too or if the array is getting

made poorly.

[1358420109000,1],[1358420109000,1]

#9 - 01/30/2013 02:58 PM - Robert Birnie

Dupes in DB too

#<TrendCounter id: 744206, trend_id: 3, count: 287, created_at: "2013-01-30 09:00:10", updated_at: "2013-01-30 09:00:10">,

#<TrendCounter id: 744317, trend_id: 3, count: 287, created_at: "2013-01-30 09:00:10", updated_at: "2013-01-30 09:00:11">,

#10 - 01/30/2013 04:39 PM - Sam Kottler

Robert just said in IRC that he was able to fix the issue by removing a duplicate cronjob. Can you confirm there is only on cronjob installed to run the

task?

#11 - 01/30/2013 06:24 PM - Robert Birnie

Romain,

Check for duplicate cronjobs. Foreman auto creates ones now in /etc/cron.d/foreman

I also create a rake task to clean up duplicates so you can easily fix this.

https://github.com/theforeman/foreman/pull/396

#12 - 01/31/2013 03:09 AM - Ohad Levy

Robert Birnie wrote:

Romain,

Check for duplicate cronjobs. Foreman auto creates ones now in /etc/cron.d/foreman

I also create a rake task to clean up duplicates so you can easily fix this.

https://github.com/theforeman/foreman/pull/396

 does it mean we miss a validation on foreman side? we can ensure that duplicated data is not imported regardless if you have multiple cronjobs?

#13 - 01/31/2013 11:46 AM - Robert Birnie

I guess we could do an ensure unique based on created_at and trend_id.

If we did it through the model, how would we notify the user of the issue to be rectified? Crazy graphs are a pretty good notification. :D

#14 - 01/31/2013 12:57 PM - Ohad Levy

Robert Birnie wrote:

I guess we could do an ensure unique based on created_at and trend_id.
 First of all, we would ensure that the data is accurate, imho thats more important.

If we did it through the model, how would we notify the user of the issue to be rectified? Crazy graphs are a pretty good notification. :D

 Secondly, we could / should log the error to the log, and in theory create a notice (we have a notice model), but even if you alert, you might end up

having multiple alerts.

I would say, since this is an edge case (mis configuration) then, I would alert to the log and thats it?

#15 - 02/01/2013 03:21 AM - Robert Birnie

- Status changed from Assigned to Closed

- % Done changed from 50 to 100

Applied in changeset 0d264ea7067c59ddd14bf702525841f92b313908.
